Class SubscriptionClient
Service client instance for Subscription.
Implements
Inherited Members
Namespace: Oci.SelfService
Assembly: OCI.DotNetSDK.Self.dll
Syntax
public class SubscriptionClient : RegionalClientBase, IDisposable
Constructors
SubscriptionClient(IBasicAuthenticationDetailsProvider, ClientConfiguration, string)
Creates a new service instance using the given authentication provider and/or client configuration and/or endpoint. A client configuration can also be provided optionally to adjust REST client behaviors.
Declaration
public SubscriptionClient(IBasicAuthenticationDetailsProvider authenticationDetailsProvider, ClientConfiguration clientConfiguration = null, string endpoint = null)
Parameters
| Type | Name | Description |
|---|---|---|
| IBasicAuthenticationDetailsProvider | authenticationDetailsProvider | The authentication details provider. Required. |
| ClientConfiguration | clientConfiguration | The client configuration that contains settings to adjust REST client behaviors. Optional. |
| string | endpoint | The endpoint of the service. If not provided and the client is a regional client, the endpoint will be constructed based on region information. Optional. |
Properties
Paginators
Declaration
public SubscriptionPaginators Paginators { get; }
Property Value
| Type | Description |
|---|---|
| SubscriptionPaginators |
Waiters
Declaration
public SubscriptionWaiters Waiters { get; }
Property Value
| Type | Description |
|---|---|
| SubscriptionWaiters |
Methods
CancelWorkRequest(CancelWorkRequestRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Cancels a work request.
Declaration
public Task<CancelWorkRequestResponse> CancelWorkRequest(CancelWorkRequestRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| CancelWorkRequestRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<CancelWorkRequestResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use CancelWorkRequest API.
ChangeSubscriptionCompartment(ChangeSubscriptionCompartmentRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Moves a Subscription into a different compartment within the same tenancy. For information about moving resources between compartments, see Moving Resources to a Different Compartment.
Declaration
public Task<ChangeSubscriptionCompartmentResponse> ChangeSubscriptionCompartment(ChangeSubscriptionCompartmentRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| ChangeSubscriptionCompartmentRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<ChangeSubscriptionCompartmentResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use ChangeSubscriptionCompartment API.
CreateSubscription(CreateSubscriptionRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Creates a Subscription.
Declaration
public Task<CreateSubscriptionResponse> CreateSubscription(CreateSubscriptionRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| CreateSubscriptionRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<CreateSubscriptionResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use CreateSubscription API.
DeleteSubscription(DeleteSubscriptionRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Deletes a Subscription.
Declaration
public Task<DeleteSubscriptionResponse> DeleteSubscription(DeleteSubscriptionRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| DeleteSubscriptionRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<DeleteSubscriptionResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use DeleteSubscription API.
GetSubscription(GetSubscriptionRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Gets information about a Subscription.
Declaration
public Task<GetSubscriptionResponse> GetSubscription(GetSubscriptionRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| GetSubscriptionRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<GetSubscriptionResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use GetSubscription API.
GetSubscriptionToken(GetSubscriptionTokenRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Gets a token of Subscriptions.
Declaration
public Task<GetSubscriptionTokenResponse> GetSubscriptionToken(GetSubscriptionTokenRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| GetSubscriptionTokenRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<GetSubscriptionTokenResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use GetSubscriptionToken API.
GetWorkRequest(GetWorkRequestRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Gets the details of a work request.
Declaration
public Task<GetWorkRequestResponse> GetWorkRequest(GetWorkRequestRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| GetWorkRequestRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<GetWorkRequestResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use GetWorkRequest API.
ListSubscriptions(ListSubscriptionsRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Lists the subscriptions which have been created in the specified compartment. You can filter results by specifying query parameters.
Declaration
public Task<ListSubscriptionsResponse> ListSubscriptions(ListSubscriptionsRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| ListSubscriptionsRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<ListSubscriptionsResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use ListSubscriptions API.
ListWorkRequestErrors(ListWorkRequestErrorsRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Lists the errors for a work request.
Declaration
public Task<ListWorkRequestErrorsResponse> ListWorkRequestErrors(ListWorkRequestErrorsRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| ListWorkRequestErrorsRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<ListWorkRequestErrorsResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use ListWorkRequestErrors API.
ListWorkRequestLogs(ListWorkRequestLogsRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Lists the logs for a work request.
Declaration
public Task<ListWorkRequestLogsResponse> ListWorkRequestLogs(ListWorkRequestLogsRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| ListWorkRequestLogsRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<ListWorkRequestLogsResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use ListWorkRequestLogs API.
ListWorkRequests(ListWorkRequestsRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Lists the work requests in a compartment.
Declaration
public Task<ListWorkRequestsResponse> ListWorkRequests(ListWorkRequestsRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| ListWorkRequestsRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<ListWorkRequestsResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use ListWorkRequests API.
UpdateSubscription(UpdateSubscriptionRequest, RetryConfiguration, CancellationToken, HttpCompletionOption)
Updates a Subscription.
Declaration
public Task<UpdateSubscriptionResponse> UpdateSubscription(UpdateSubscriptionRequest request, RetryConfiguration retryConfiguration = null, CancellationToken cancellationToken = default, HttpCompletionOption completionOption = HttpCompletionOption.ResponseContentRead)
Parameters
| Type | Name | Description |
|---|---|---|
| UpdateSubscriptionRequest | request | The request object containing the details to send. Required. |
| RetryConfiguration | retryConfiguration | The retry configuration that will be used by to send this request. Optional. |
| CancellationToken | cancellationToken | The cancellation token to cancel this operation. Optional. |
| HttpCompletionOption | completionOption | The completion option for this operation. Optional. |
Returns
| Type | Description |
|---|---|
| Task<UpdateSubscriptionResponse> | A response object containing details about the completed operation |
Examples
Click here to see an example of how to use UpdateSubscription API.